$s-google-map-desc-bg: theme-color('primary') !default;
$s-google-map-desc-hover-bg: theme-color('primary') !default;

.s_google_map {height:100%;min-height:100px;position:relative;@include s-google-map-hook;//.s_google_map backdoor

    .map_container {
        @include o-position-absolute(0, 0, 0, 0);
    }

    .description {
        @include o-position-absolute(auto, 0, 0, 0);
        z-index: 99;
        padding: 0 1em;
        background: rgba(red($s-google-map-desc-bg), green($s-google-map-desc-bg), blue($s-google-map-desc-bg) , $s-google-map-desc-alpha);
        color: white;
        transition: background-color 250ms ease;
        @include s-google-map-desc-hook; //.description backdoor

        font {
            float: left;
            margin-top: 20px;
            margin-bottom: 15px;
            font-weight: bold;
            text-transform: uppercase;
            @include s-google-map-desc-p-hook; //.description p backdoor
        }

        span {
            float: left;
            text-transform: none;
            font-weight: normal;
            margin-top: 20px;
            margin-left: 10px;
            @include s-google-map-desc-span-hook; //.description span backdoor
        }
    }

    &:hover .description{
        background: $s-google-map-desc-hover-bg;
        background: rgba(red($s-google-map-desc-hover-bg), green($s-google-map-desc-hover-bg), blue($s-google-map-desc-hover-bg) , $s-google-map-desc-hover-alpha);
    }
}#mapModal{z-index:3000}.pac-container{// google map autosuggestion
    z-index: 3001;&:after {
        display:none;
    }
}